package com.tuoheng.admin.enums.code.inspection;

/**
 *  重新提交任务信息返回码
 *      模块代码：23（任务管理）
 *      接口代码：07 （重新提交任务）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-01
 */
public enum ResubmitInspectionCodeEnum {

    RESUBMIT_IS_FAILED(1230700, "重新提交失败"),
    ID_IS_NULL(1230701, "任务ID为空"),
    NAME_IS_NULL(1230702, "任务名为空"),
    TYPE_IS_NULL(1230703, "任务类型为空"),
    ROAD_IS_NULL(1230704, "航道信息为空"),
    SECTION_IS_NULL(1230705, "航段信息为空"),
    INSPECTION_TYPE_IS_NULL(1230706, "巡检方式为空"),
    AIRPORT_IS_NULL(1230707, "巡检机场为空"),
    INSPECTION_LINE_IS_NULL(1230708, "巡检路线为空"),
    LIVE_IS_NULL(1230709, "是否直播为空"),
    START_LONGITUDE_IS_NULL(1230710, "起点经度为空"),
    START_LATITUDE_IS_NULL(1230711, "起点纬度为空"),
    END_LONGITUDE_IS_NULL(1230712, "终点经度为空"),
    END_LATITUDE_IS_NULL(1230713, "终点纬度为空"),
    INSPECTION_TIME_IS_NULL(1230714, "巡检时间为空"),
    INSPECTION_IS_NOT_EXIST(1230715, "任务不存在"),
    FAILED_INSPECTION_CANNOT_RESUBMIT(1230716, "非失败的任务不能被重新提交"),
    TYPE_IS_NOT_EDIT(1230717, "巡检类型不能被修改"),
    INSPECTION_TYPE_IS_NOT_EDIT(1230718, "巡检方式不能被修改"),
    ROAD_IS_NOT_EXIST(1230719, "航道不存在"),
    SECTION_IS_NOT_EXIST(1230720, "航段不存在"),
    USER_IS_NOT_EXIST(1230721, "用户不存在"),
    DEPT_IS_NOT_EXIST(1230722, "部门不存在"),
    CALL_PILOT_IS_FAILED(1230723, "对接飞手平台失败"),
    CALL_DSP_IS_FAILED(1230724, "对接DSP平台失败"),
    CALL_AMAP_IS_FAILED(1230725, "对接高德地图平台失败");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    ResubmitInspectionCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
